Flash Decompiler Manual :: Welcome

Flash Decompiler - visit homepage


Flash Decompiler Manual :: How to register?

Flash Decompiler - Discover the SWF core! Flash Decompiler - Discover the SWF core!
How to register?

Flash Decompiler box

Download your free trial of Flash Decompiler Order your registered version of Flash Decompiler Detailed features list Flash Decompiler screenshots Customers testimonials Flash Decompiler awards Flash Decompiler usage scenarios Tell your friends about Flash Decompiler

Flash Decompiler 1.70

Single License
Order via ShareIt!
VSPD XP Decompiler SWF (Flash) Flash tutorials Website creation Technical help
€ 34.95
$ 39.95
Order via Regnow
Flash web site Flash forum Compress SWF Flash web site
€ 34.95
$ 39.95

2 to 5 licenses
Order via ShareIt!
Multimedia software development Flash Software license Create Virtual Serial Port Virtual COM Port COM Port redirection Multimedia Authoring tool
€ 28.95
$ 34.95
Order via Regnow
Development Flash compression Reduce size SWF
€ 28.95
$ 34.95

6 to 10 licenses
Order via ShareIt!
Web developer Decompiler Edit SWF Compressor Internet Web-development
€ 24.95
$ 29.95
Order via Regnow
Commercial development software Virtual Serial Port Custom development software Web-development Online technical Support Invest smart
€ 24.95
$ 29.95

11 and more
Order via ShareIt!
Multimedia software Flash Optimizer articles Flash Flash Optimizer news Flash web site template Virtual Serial Communications
€ 20.95
$ 24.95
Order via Regnow
Security Software Web Authoring tools Web Site Design and Programming
€ 20.95
$ 24.95

Unlimited site license
Order via ShareIt!
Advertising opportuninities 3D modeling Software development services Serial Port emulation Key Logger
€ 242.95
$ 299.95
Order via Regnow
Multimedia Virtual Serial Ports Communiaction Null-modem cable software Flash Animation Software
€ 242.95
$ 299.95

Registration key is delivered immediately after the order placement. We accept Mastercard/Eurocard, Visa, American Express, and Diner's Club online. Alternatively, we support bank transfer/wire transfer, we accept Checks and Money Orders through postal mail.

After you have your registration key, please, use the "Help -> Change License Type" option to register your copy of Flash Decompiler.

For orders processing we are using ShareIt! and RegNow companies services - world's leading e-commerce providers for software and shareware sales via the Internet.

ShareIt!
element 5 AGShareIt!
Vogelsanger Str.
78D-50823 Cologne
Germany
Phone: +49 (0)221 31088-0
Fax: +49 (0)221 31088-99
sales@shareit.com 		ShareIt! Inc.
PO Box 844
Greensburg, PA 15601
U.S.A.
Phone: +1 (724) 850 8186
Fax: +1 (724) 850 8187
sales@shareit.com 		element 5 AG
ShareIt!
52 Queen Caroline Str.
Hammersmith
London W6 9DX
United
Kingdom
sales@shareit.com
RegNow Register Now!
P.O. Box 1816
Issaquah, WA 98027
USA
Phone: 1-877-353-7297
Fax: 1-888-353-7276

Security Guarantee. Online order placement page has been secured with a digital certificate by VeriSign, Inc. This is shown via the "site certificate" that sits on all secure pages. To view this certificate, click on the VeriSign logo at the bottom of the page or the solid key on the status bar of your browser window. A small frame displaying site security information will appear.

VeriSign, Inc.

Lifetime technical support is available 24 hours a day, 7 days a week, 365 days a year via email, phone or fax. If you have any problems using our products, please send us your detailed comments, suggestions, questions. We value every customer and will reply to you as soon as possible. If you are a registered user, you can use the technical support via email or fax. Our registered users can also submit support requests by e-mail for priority support customers.

Upgrade Policy. All program upgrades are free to all registered users. As a registered customer, you can purchase all our other similar software at a discounted price. For more detailed information about our upgrade policy, please email to support@eltima.com

Money back guarantee. To insure that you are receiving quality service and ordered products work as they were announced to, Eltima offers an honor-based 14 days money-back-guarantee when you purchase any of our products. Honor-based means we will be glad to return your investment when we are sure the product is malfunctioning on client's PC and we receive assistance in finding out the reason on the side of our customers.


Flash Decompiler Manual :: License/Copyright

License/Copyright

Software license agreement

This user license agreement (the "AGREEMENT") is an agreement between you (individual or single entity) and Eltima Software GmbH.

The SOFTWARE is the property of Eltima Software GmbH and is protected by copyright laws and international copyright treaties.

Trial version

If you accept the terms and conditions of this AGREEMENT, you have certain rights and obligations as follows:

You may:

1. Install and use the unlimited number of copies of the Trial VERSION.
2. Use one or more copies of the Trial VERSION for evaluation purposes only.
3. Copy and distribute freely the Trial VERSION (see 'DISTRIBUTION').

You may not:

1. Sublicense, rent or lease the Trial VERSION or any portion of it (unless you are an authorized reseller/partner).
2. Decompile, disassemble, deflash, deSWF, reverse engineer or modify the Trial VERSION or any portion of it.

Distribution:

You are hereby licensed to make as many copies of the Trial VERSION as you wish and distribute them to anyone provided that all files are intact. You must distribute the install form of the Trial VERSION (not the files resulting of an installation). You are not allowed to sell the Trial VERSION (except for shipment and handling charges). Computer's Magazines are authorized to distribute it on any Cover Disk or CD-ROM without any permission. Please inform us by e-mail each time you distribute the Trial VERSION.

Warranty disclaimer:

The SOFTWARE is supplied "AS IS". Eltima Software GmbH disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The user must assume the entire risk of using the SOFTWARE.

Disclaimer of damages

Eltima Software GmbH assumes no liability for damages, direct or consequential, which may result from the use of the SOFTWARE, even if Eltima Software GmbH has been advised of the possibility of such damages. Any liability of the seller will be limited to refund the purchase price.


Flash Decompiler Manual :: Technical and information support

Technical and information support

Forum

The easiest way to find an answer is to ask a person who has already faced your problem. Or get instant help in the online Help Center. This is why we installed Forums engine on our website and would be extremely glad if you became a respectful member. Flash Decompiler Discussion Board is the ultimate place to find answers concerning not only Flash Decompiler itself, but also other quality software solutions by Eltima. You're always welcome in our Forums.

Customer Care Centre

Customer Care services are probably the most vivid difference between quality companies and emerging firms. Our customers already know that our technical and information support proved to be one of the most effective and quality products we sell from the very first day of our shareware past, present and future. That is why extending our support services and creating Customer Care Centre will provide even deeper analysis and help for our customers and site visitors. Potential consumers will experience all the quality and responsibility we provide.

SoftInfinity's Customer Care Centre can be found here: Customer Care Centre at show-kit.com.

Instant Messengers help

If you wish to get to receive to receive fast and reliable help you can always contact us via Instant Messanging software. Please, use the following details to find the appropriate contact:

ICQ: #133156588
AOL Messenger: SoftInfinitySP
MSN Messenger: softinfinity@hotmail.com
Yahoo Messenger: serge_softinfinity

Bug reports

If you find a bug in our software you can report it to one of the addresses mentioned below. Please provide the following information:

- an exact description of the bug (how can it be reproduced?)
- version number and release date of the software
- Operating System version

Support

Please first read the software manual carefully and visit our Forums, may be someone has already solved the problem you are facing.

If you still have questions, you can reach us at the following addresses:

- If you're on the Internet, write to support@eltima.com for technical questions, and to sales@eltima.com for registration and sales questions.
- If you have the possibility to make international calls, call us +380 (612) 209904 (international support from 9 A.M. till 4 P.M. GMT+3) or +38 050 7917364 (24/7).
- You may also use our contacts form to send a message to the appropriate support department.


Flash Decompiler Manual :: System requirements

System requirements

Flash Decompiler will run on any computer systems that meet the minimum requirements specified here. Choose the recommended requirements if you wish to utilize Flash Decompiler at the best potential.

Minimum system requirements:

Processor | Pentium II class at least 200 MHz
OS | Windows 95, 98, ME, NT 4.0, 2000, XP
RAM | 64 MB
Disk Space | 3-5 MB of initial free disk space
Video | 800x600, True Color
Software | Macromedia Flash Plug-in MS Windows Platform (Virtual PC support for registered users only upon request)
Sound | DirectX compatible Sound Card
For improved performance, we recommend:
Processor | 1 Ghz or more
RAM | 256 MB or more
Video | 1024x768, True Color 32 bit
Software | Latest Macromedia Flash Plug-in

To download most recent Macromedia Plug-in, visit Macromedia Web site at:
www.macromedia.com


Flash Decompiler Manual :: Installation

Installation

Flash Decompiler installation process is very easy. All you need to do is accomplish a few simple steps:

  1. Download the latest build of Flash Decompiler at http://www.eltima.com/download/flash_decompiler.exe.
  2. Double click it in any file manager or Windows Explorer and launch the installer.
  3. Follow the prompts given, study the License Agreement carefully, select the destination folder, choose what shortcuts you wish to be created, confirm the installation.
  4. Finally you will need to navigate either to the Start Menu and locate the launcher in Programs or double-click the shortcut created on the desktop, if you chose this option, and Flash Decompiler will be launched.


Flash Decompiler Manual :: Aims

Aims

Flash Decompiler delivers power to extract all resources from a SWF file (Macromedia Flash file). Flash Decompiler is the fastest and most reliable flash extractor on the net. With an ease of one click you can store sounds, images, videos, shapes, frames, morphs, fonts, texts, buttons, sprites and ActionScripts from any SWF file directly to your hard drive. Intellectual item-by-item preview, user-friendly controls with fully-customizable interface make Flash Decompiler a truly collaborative environment for professional work. We offer you the best support of SWF format available today.

So, our top aims are:

  • To claim a new Flash decompilation format that gets each and every byte into a readable content
  • To provide a simple yet productive environment to recover lost FLA contents from a SWF
  • To provide Flash developers with a friendly and powerful Flash (SWF) decompilation tool
  • To offer the best and fastest extraction from any SWF file created in any Flash authoring tool
  • To create an all-in-one solution for flashers and animators worldwide


Flash Decompiler Manual :: Features

Features

Finally, before getting deeper into Flash Decompiler, let's sum up some key benefits of the software. Probably this should help you summarize most its advantages.

  • Easiest and fastest one-click decompilation
  • Intellectual preview of decompiled SWF elements
  • Extract sounds, images, videos, shapes, frames, morphs, fonts, texts, buttons, sprites and ActionScripts with a single click
  • Export into multiple formats
  • Export shapes, images and texts into FLA
  • Decompile EXE (Projector) files
  • Unique SWF Replacer: edit SWF files replacing lines, images, colors, gradients and more!
  • Combined FLA export mode: export all shapes, images and texts into a single FLA file (Library)
  • ASCII, Hex, binary memory dump
  • Grouped showing mode for multiple items in decompiled class
  • Selectable background color for SWFs
  • Detailed tag information
  • Convenient tags navigation with tracking their placements in frames and sprites
  • Detailed movie information
  • Browse through your SWF's with easiness
  • View and play your SWF files directly in Flash Decompiler
  • Compressed SWF files support
  • The system of favorites for easy navigation
  • Intuitive user-friendly interface
  • Interface skins - Customize Flash Decompiler to meet your personal taste and needs
  • Multilingual interface
  • Editable interface languages. Help us translate Flash Decompiler into your native language and we will be glad to offer discounts on our products or even free license
  • All Flash versions supported


Flash Decompiler Manual :: What's new in this version?

What's new in this version?

Flash Decompiler 1.70
- Minor interface enhancements
- Sounds can now be replaced in SWF files using SWF Replacer
- New ActionScript tags are now decompiled
- Plenty of fixes

Flash Decompiler 1.53
- Morphs can now be exported into FLA
- Streaming sound support
- Some bugs fixed including problem with HyperThreading
- Several engine stabilizations applied

Flash Decompiler 1.52
- Sounds can now be exported into FLA
- New hotkey CTRL+A will select all objects in project tree on the active level
- More flexible project tree manipulations: multiple objects selection with Shift button (select an object, hold down Shift, and click another object anywhere in the tree)
- Post-release bugfixes

Flash Decompiler 1.51
- ActionScripts caching (faster decompilation)
- ActionScripts are now grouped together and are easier to search through
- Several critical fixes
- Better errors handling

Flash Decompiler 1.50
- Texts now can be exported into FLA
- EXE files decompilation support
- Quick Export functionality
- New ActionScripts decompilation engine

Flash Decompiler 1.40
- NEW SWF replacer as a part of Flash Decompiler: replace colors, images, gradients and more with SWF replacer
- Shapes and images can now be exported into FLA
- Combined export into FLA
- New localizations added: Chinese (Simplified), Swedish, Italian

Flash Decompiler 1.30
- Now you can create images to preview exported SWF's, just activate this option during exporting
- Easily screenshot internal Flash Decompiler's Flash Player: create stunning images of various SWF parts on the go
- Shapes highlighting fixed
- New localizations added: Dutch, Greek

Flash Decompiler 1.26
- Video can now be exported into FLV files
- Additional functionality with languages
- Explorer stabilized
- Cosmetic fixes

Flash Decompiler 1.25
- Manual text export in case no export table is available
- ADPCM Sound export added
- MP3 Sounds Stream export stabilized

Flash Decompiler 1.20
- ActionScripts can now be viewed as Actions, pi-code, dump or pi-code+dump
- Search in ActionScripts
- Texts can now be exported into: RTF (MS Word Format), TXT, HTML
- ActionScripts can now be exported to different formats
- Incomplete video exporting bug fixed
- Images export enhanced
- Window caption now stores the current filename and path
- Decompiled contents can now be exported in numbered files (convenient when importing back into Flash)
- Customizable automatic items switching speed (Settings -> Frames per second)
- New Interface Laguages available
- Decompilation stabilized and is now much faster
- ActionScripts decompilation now supports more than 50 new tags combinations
- Some fixes

Flash Decompiler 1.12
- Now you can view a movie clip as a several frames (can be customized)
- The player is enhanced with zooming, dragging, etc.
- Export into PNG format now available
- ActionScripts are now fully exported
- Fixes

Flash Decompiler 1.1
- ActionScripts decompilation enhanced
- Optimized decompiled ActionScripts lines (postfix, infix representation)
- ActionScripts are now highlighted
- Some major and minor fixes

NEW Flash Decompiler 1.0


Flash Decompiler Manual :: Interface

Interface

Flash Decompiler Interface

Flash Decompiler brings easiness and simplicity to complex manipulations with Flash objects and tags. All interface controls are common to all users. In addition it's totally customizable, so you can get exactly what is really convenient to you and place all controls just as you need them to be positioned.

There are 6 logical parts of the interface:
  • Main menu
  • Main toolbar
  • File explorer
  • SWF Player window
  • Tag information
  • Resources bar
Flash Decompiler main menu

Main menu

File -> Save - save SWF file with the same filename after editing it with SWF Replacer
File -> Save As - save SWF file with the new filename after editing it with SWF Replacer
File -> Open - open a new SWF file for decompilation, decompiling starts automatically
File -> Quick Open - command line opening
File -> Reopen - open any of the 20 recently decompiled SWF files
File -> Export - export selected contents of a SWF file (can also act as a Quick Export when the latter is selected)
File -> Movie information - show Movie information dialog
File -> Exit - quit Flash Decompiler

View -> ... - show/hide interface objects and refresh Explorer contents

Options -> Explorer view style - choose the way to show icons in File Explorer
Options -> Favorites - organize your Favorites
Options -> Customize main menu - choose buttons, their order and view on the main toolbar
Options -> Change background color - select background color for the movie, currently being decompiled
Options -> Localizations - choose the interface language, edit and export current language
Options -> Settings - toggle Flash Decompiler settings dialog

Layouts -> ... - choose one of predefined interface layouts

Help -> Change license type - re-register your copy of Flash Decompiler to another registration name. Useful when you move from Personal License to, for instance, Business or Site License.
Help -> User manual - go to this manual
Help -> About - toggle About dialog

Flash Decompiler main toolbar

Flash Decompiler main toolbar

Flash Decompiler main toolbar

Main toolbar

Main toolbar provides main functionality of Flash Decompiler, however, you will not use it most of the time. It can be completely customized (Choose Options -> Customize main toolbar or right click the toolbar and choose the same option). By default main toolbar contains options to Save, Open, Reopená User Manual and Export buttons. But you can choose which controls you wish to see there yourself.

Flash Decompiler explorer

File explorer

Navigate and find your SWF files easily! File explorer lets you choose SWF files to decompile. You can even get into ZIP files like in simple folders. Just select any directory in the folders tree. If that folder contains any files that can be decompiled, they will be shown in the files area of the File Explorer. Just click/select any of them to decompile it.

Flash Decompiler SWF Player window

SWF Player window

This is the interface element which allows you to preview selected SWF file, play or pause it or advance frame-by-frame. This is where you will see all decompiled objects, when you select them in the Resources Bar.

Flash Decompiler tag information

Tag information

Select any decompiled object/tag in Resource Bar and find details about the decompiled item here. You can see the list of images used in this tag, sprites and frames this tag is used in, and memory dump this tag reserves.

Flash Decompiler resource bar

Resources bar

This control hosts the list of all decompiled SWF elements and tags: Shapes, Images, Morphs, Sounds, Video, Fonts, Texts, Buttons, Frames, Sprites. You can expand the list and view each object/tag separately or select the whole category of objects/tags and launch one-by-one automatic view mode. To export decompiled objects/tags select them in this list and press "Export" either on this bar or on the main toolbar (or press F6).


Flash Decompiler Manual :: Keyboard Shortcuts

Keyboard Shortcuts

Flash Decompiler brings you a whole lot convenient hotkeys to master the potential of decompillation and enroll some pleasure in this process.

  • F3 - Open
  • CTRL+F3 - Quick open
  • F6 - Export
  • F7 - Movie information
  • CTRL+Q - Exit
  • CTRL+T - Hide/Show main toolbar
  • CTRL+S - Hide/Show statusbar
  • CTRL+E - Hide/Show explorer
  • CTRL+I - Hide/Show tag information
  • CTRL+R - Hide/Show resource bar
  • F5 - Refresh explorer
  • CTRL+L - Localizations
  • CTRL+P - Settings
  • CTRL+A - Select all objects on the current project tree level
  • CTRL+F1 - About dialog
  • F1 - User manual


Flash Decompiler Manual :: Opening and viewing a SWF

Decompilation and export

Decompile and export

Decompiling a SWF file has never been easier, all you need is navigate (or open) to the SWF file you wish to decompile (extract resources from), and select it (click it) in File explorer. It will be decompiled in seconds and the resources bar will be filled with objects/tags.

Now, just select the objects/tags you want to export and press Export. Choose the folder and format you wish to export them to and press Export button. That's it!


Flash Decompiler Manual :: Opening and viewing a SWF

Decompilation and export

SWF replacer is a totally new invention and feature in Flash Decompiler. It is a generic part of Flash Decompiler which was planned as a new edition of Flash Decompiler (Flash Decompiler Pro), but finally has been released within a new version of our software. With SWF replacer you can do the following:
  • Replace colors in SWF files
  • Replace gradients in SWF files
  • Replace lines in SWF files (edit their colors and thickness)
  • Replace images in SWF files
You can completely change the way SWF files are created and edit them yourself without the need to recompile into FLA. In every new build we will add functionality to SWF replacer. In the nearest versions you will be able to replace texts, sounds and ActionScripts! Here's an example of Image Replacement algorithm. Do not forget to save your edited SWF file when you are done.

Decompile and export


Flash Decompiler Manual :: Frequently Asked Questions and How to

Frequently Asked Questions and How to

  • I don't see the text, but it is present in resource bar. Am I doing anything wrong?

    Everything is correct. Probably the color of the text (or font) is the same with the color of background. Change the background color and you will see it.

  • We are interested in your software, I have tried the demo version and I am not 100% sure of the operation of it with some of my graphics. Is it a 14 day money back guarantee if I buy and try and it does not output and work the way it should for our company?

    Sure we do. As we are selling both: via ShareIt and via RegNow, these two seller systems are your guarantee concerning our refund policy: https://www.regnow.com/faq.html and http://www.shareit.com. You can always request a refund via any of these systems (depending on which you used to make your purchase). And if you manage to prove the program is not working correct your order will be refunded.

  • My native language is not present in Localizations, can I help you to add my language? What will I receive in return?

    We greatly welcome your help and will encourage it with a discount. Please, contact us to decide which discount will be suitable and how you can receive it.

  • How can I export to a different format?

    New export formats are added everyday. If your desired format is not present, contact us and we will add this feature in the next build.


Flash Decompiler Manual :: Credits

Credits

Flash Decompiler is developed and supported by SoftInfinity [a division of Eltima Software GmbH, Georg-Wilhelm str. 4, 10711 Berlin, Germany] (info@eltima.com).

You can always find the latest version of Flash Decompiler here: www.flash-decompiler.com or www.eltima.com.